## RcppArmadillo_0.3.810.0.tar.gz

=== DESCRIPTION ===
Package: RcppArmadillo
Type: Package
Title: Rcpp integration for Armadillo templated linear algebra library
Version: 0.3.810.0
Date: $Date: 2013-04-19 20:15:28 -0500 (Fri, 19 Apr 2013) $
Author: Romain Francois, Dirk Eddelbuettel and Doug Bates
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Description: R and Armadillo integration using Rcpp Armadillo is a
        templated C++ linear algebra library (by Conrad Sanderson) that
        aims towards a good balance between speed and ease of use.
        Integer, floating point and complex numbers are supported, as
        well as a subset of trigonometric and statistics functions.
        Various matrix decompositions are provided through optional
        integration with LAPACK and ATLAS libraries.
 .
 A delayed evaluation approach is employed (during compile time) to
        combine several operations into one, and to reduce (or
        eliminate) the need for temporaries. This is accomplished
        through recursive templates and template meta-programming.
 .
 This library is useful if C++ has been decided as the language of
        choice (due to speed and/or integration capabilities), rather
        than another language.
 .
 The RcppArmadillo package includes the header files from the templated
        Armadillo library (currently version 3.810.0). Thus users do
        not need to install Armadillo itself in order to use
        RcppArmadillo.
 .
 This Armadillo integration provides a nice illustration of the
        capabilities of the Rcpp package for seamless R and C++
        integration.
 .
 Armadillo is licensed under the MPL 2.0, while RcppArmadillo (the Rcpp
        bindings/bridge to Armadillo) is licensed under the GNU GPL
        version 2 or later, as is the rest of Rcpp.
License: GPL (>= 2)
LazyLoad: yes
Depends: R (>= 2.14.0), Rcpp (>= 0.10.2)
LinkingTo: Rcpp
Suggests: inline, RUnit
URL: http://arma.sourceforge.net/,
        http://dirk.eddelbuettel.com/code/rcpp.armadillo.html,
        http://romainfrancois.blog.free.fr/index.php?category/R-package/RcppArmadillo
Packaged: 2013-04-20 01:15:37.917238 UTC; edd
NeedsCompilation: yes
Repository: CRAN
Date/Publication: 2013-04-20 08:19:12

=== inst/doc/Makefile ===

all: 	RcppArmadillo-unitTests.pdf RcppArmadillo-intro.pdf

clean:	
	rm -f RcppArmadillo*.log RcppArmadillo*.aux RcppArmadillo*.out RcppArmadillo*.tex *.blg *.bbl *~
	rm -rf auto/

pdfclean:
	rm -f RcppArmadillo-unitTests.pdf RcppArmadillo-intro.pdf

setvars:
ifeq (${R_HOME},)
R_HOME=	$(shell R RHOME)
endif
RPROG=	$(R_HOME)/bin/R
RSCRIPT=$(R_HOME)/bin/Rscript

RcppArmadillo-unitTests.pdf:
	rm -fr unitTests-results/*
	$(RSCRIPT) unitTests/RcppArmadillo-unitTests.R
	$(RPROG) CMD Sweave RcppArmadillo-unitTests.Rnw
	$(RSCRIPT) -e "tools::texi2dvi( 'RcppArmadillo-unitTests.tex', pdf = TRUE, clean = TRUE )"
	rm -fr RcppArmadillo-unitTests.tex

RcppArmadillo-intro.pdf:
	${RPROG} CMD Sweave RcppArmadillo-intro.Rnw
	pdflatex -shell-escape RcppArmadillo-intro
	bibtex RcppArmadillo-intro
	pdflatex -shell-escape RcppArmadillo-intro
	pdflatex -shell-escape RcppArmadillo-intro
	rm RcppArmadillo-intro.aux RcppArmadillo-intro.log RcppArmadillo-intro.bbl RcppArmadillo-intro.blg RcppArmadillo-intro.tex RcppArmadillo-intro.spl

=== debian/changelog ===
r-cran-rcpparmadillo (0.3.810.0-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 19 Apr 2013 19:56:04 -0500

r-cran-rcpparmadillo (0.3.800.1-1) unstable; urgency=low

  * Initial Debian release 				(Closes: #704746)
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 05 Apr 2013 19:47:00 -0500

=== debian/control ===
Source: r-cran-rcpparmadillo
Section: gnu-r
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Build-Depends: debhelper (>= 7.0.0), r-base-dev (>= 3.0.0), r-cran-rcpp, cdbs
Standards-Version: 3.9.4
Homepage: http://dirk.eddelbuettel.com/code/rcpp.armadillo.html

Package: r-cran-rcpparmadillo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${R:Depends}, littler
Description: GNU R package for Armadillo C++ linear algebra library
 Armadillo is a templated C++ linear algebra library (by Conrad Sanderson)
 that aims towards a good balance between speed and ease of use. Integer,
 floating point and complex numbers are supported, as well as a subset of
 trigonometric and statistics functions. Various matrix decompositions are
 provided through optional integration with LAPACK and ATLAS libraries.
 .
 A delayed evaluation approach is employed (during compile time) to combine 
 several operations into one, and to reduce (or eliminate) the need for 
 temporaries. This is accomplished through recursive templates and template 
 meta-programming.   
 .
 This library is useful if C++ has been decided as the language of choice 
 (due to speed and/or integration capabilities), rather than another language.
 .
 The RcppArmadillo package includes the header files from the templated
 Armadillo library (currently version 3.810.0). Thus users do not need to
 install Armadillo itself in order to use RcppArmadillo.
 .
 This Armadillo integration provides a nice illustration of the 
 capabilities of the Rcpp package for seamless R and C++ integration.
 .
 Armadillo is licensed under the MPL 2.0, while RcppArmadillo (the Rcpp 
 bindings/bridge to Armadillo) is licensed under the GNU GPL version 2 
 or later, as is the rest of Rcpp.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux rcpparmadillo package
# Copyright 2003-2013 by Dirk Eddelbuettel <edd@debian.org>

include /usr/share/R/debian/r-cran.mk
